Eclipse Platform Release 3.7

## org.eclipse.ui.dialogs
Interface IWorkingSetNewWizard

All Superinterfaces:
  IWizard

    public interface IWorkingSetNewWizard

extends IWizard

A working set new wizard allows creating new working sets using a plug-in specific working set page.

Use org.eclipse.ui.IWorkingSetManager#createWorkingSetNewWizard(String[] workingSetIds) to create an instance of this wizard.

This interface is not intended to be implemented by clients.

Since:
  3.1
See Also:
  `IWorkingSetManager`, `IWorkingSetPage`
Restriction:
  This interface is not intended to be implemented by clients.

Method Summary
`IWorkingSet` `getSelection()` Returns the new working set.

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`addPages, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, performFinish, setContainer`

Method Detail

### getSelection

    IWorkingSet getSelection()

  Returns the new working set. Returns `null` if the wizard has been cancelled.

  Returns:
    the new working set or `null` if the wizard has been cancelled.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.